%define anolis_release 2
%global with_python3 1

Name: libtdb
Version: 1.4.8
Release: %{anolis_release}%{?dist}
Summary: The tdb library
License: LGPLv3+
URL: http://tdb.samba.org/
Source0: http://samba.org/ftp/tdb/tdb-%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: gnupg2
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif

Provides: bundled(libreplace)
Obsoletes: python2-tdb < 1.4.2-1

%description
A library that implements a trivial database.

%package devel
Summary: Header files need to link the Tdb library
Requires: libtdb = %{version}-%{release}

%description devel
Header files needed to develop programs that link against the Tdb library.

%package -n tdb-tools
Summary: Developer tools for the Tdb library
Requires: libtdb = %{version}-%{release}

%description -n tdb-tools
Tools to manage Tdb files

%if 0%{?with_python3}
%package -n python3-tdb
Summary: Python3 bindings for the Tdb library
Requires: libtdb = %{version}-%{release}
%{?python_provide:%python_provide python3-tdb}

%description -n python3-tdb
Python3 bindings for libtdb
%endif

%prep
%autosetup -n tdb-%{version} -p1

%build
%configure --disable-rpath \
           --bundled-libraries=NONE \
           --builtin-libraries=replace

%make_build

%check
%make_build check

%install
%make_install

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libtdb.so.*
%{abidir}/libtdb*.dump

%files devel
%doc docs/README
%{_includedir}/tdb.h
%{_libdir}/libtdb.so
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-tools
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_bindir}/tdbrestore
%{abidir}/tdb*-option.list
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbtool.8*
%{_mandir}/man8/tdbrestore.8*

%if 0%{?with_python3}
%files -n python3-tdb
%{python3_sitearch}/__pycache__/_tdb_text.cpython*.py[co]
%{python3_sitearch}/tdb.cpython*.so
%{abidir}/tdb.cpython*.dump
%{python3_sitearch}/_tdb_text.py
%endif

%ldconfig_scriptlets

%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.4.8-2
- Rebuild with python3.11

* Fri Jan 27 2023 Funda Wang <fundawang@yeah.net> - 1.4.8-1
- New version 1.4.8

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 1.4.7-1
- New version 1.4.7

* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.6-2
- optimise spec file

* Wed Mar 09 2022 zhang xianting <zhangxianting@uniontech.com> - 1.4.6-1
- Initial build for Anolis v23
